#
# Conditional build:
%bcond_without	static_libs	# static libraries

Summary:	VAAPI (Video Acceleration API)
Summary(pl.UTF-8):	VAAPI (Video Acceleration API) - API akceleracji filmów
Name:		libva
Version:	1.8.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://www.freedesktop.org/software/vaapi/releases/libva/%{name}-%{version}.tar.bz2
# Source0-md5:	2ce6901495b64f4cc26dd0fb53eb5b14
URL:		https://www.freedesktop.org/wiki/Software/vaapi
BuildRequires:	Mesa-libEGL-devel
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4
BuildRequires:	libtool
BuildRequires:	pkgconfig
# wayland-client
BuildRequires:	wayland-devel >= 1.0.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main motivation for VAAPI (Video Acceleration API) is to enable
hardware accelerated video decode/encode at various entry-points (VLD,
IDCT, Motion Compensation etc.) for the prevailing coding standards
today (MPEG-2, MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/VMW3).

%description -l pl.UTF-8
Głównym celem API akceleracji filmów VAAPI (Video Acceleration API)
jest umożliwienie sprzętowej akceleracji dekodowania/kodowania filmów
na różnych etapach (VLD, IDCT, kompensacja ruchu itp.) dla obecnie
przeważających standardów kodowania (MPEG-2, MPEG-4 ASP/H.263, MPEG-4
AVC/H.264, VC-1/VMW3).

%package devel
Summary:	Header files for libva libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libva
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libva libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libva.

%package static
Summary:	Static libva libraries
Summary(pl.UTF-8):	Statyczne biblioteki libva
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libva libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libva.

%package drm
Summary:	VAAPI - DRM interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu DRM
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdrm >= 2.4

%description drm
VAAPI - DRM interface library.

%description drm -l pl.UTF-8
VAAPI - biblioteka interfejsu DRM.

%package drm-devel
Summary:	Header files for VAAPI DRM interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu DRM VAAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-drm = %{version}-%{release}
Requires:	libdrm-devel >= 2.4

%description drm-devel
Header files for VAAPI DRM interface library.

%description drm-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu DRM VAAPI.

%package drm-static
Summary:	VAAPI - DRM interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu DRM
Group:		Development/Libraries
Requires:	%{name}-drm-devel = %{version}-%{release}

%description drm-static
VAAPI - DRM interface static library.

%description drm-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu DRM.

%package egl
Summary:	VAAPI - EGL interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu EGL
Group:		Libraries
Requires:	%{name}-x11 = %{version}-%{release}

%description egl
VAAPI - EGL interface library.

%description egl -l pl.UTF-8
VAAPI - biblioteka interfejsu EGL.

%package egl-devel
Summary:	Header files for VAAPI EGL interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu EGL VAAPI
Group:		Development/Libraries
Requires:	%{name}-egl = %{version}-%{release}
Requires:	%{name}-x11-devel = %{version}-%{release}
Requires:	EGL-devel

%description egl-devel
Header files for VAAPI EGL interface library.

%description egl-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu EGL VAAPI.

%package egl-static
Summary:	VAAPI - EGL interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu EGL
Group:		Development/Libraries
Requires:	%{name}-egl-devel = %{version}-%{release}

%description egl-static
VAAPI - EGL interface static library.

%description egl-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu EGL.

%package glx
Summary:	VAAPI - GLX interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu GLX
Group:		Libraries
Requires:	%{name}-x11 = %{version}-%{release}

%description glx
VAAPI - GLX interface library.

%description glx -l pl.UTF-8
VAAPI - biblioteka interfejsu GLX.

%package glx-devel
Summary:	Header files for VAAPI GLX interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu GLX VAAPI
Group:		Development/Libraries
Requires:	%{name}-glx = %{version}-%{release}
Requires:	%{name}-x11-devel = %{version}-%{release}
Requires:	OpenGL-GLX-devel

%description glx-devel
Header files for VAAPI GLX interface library.

%description glx-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu GLX VAAPI.

%package glx-static
Summary:	VAAPI - GLX interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu GLX
Group:		Development/Libraries
Requires:	%{name}-glx-devel = %{version}-%{release}

%description glx-static
VAAPI - GLX interface static library.

%description glx-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu GLX.

%package wayland
Summary:	VAAPI - Wayland interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu Wayland
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	wayland >= 1.0.0

%description wayland
VAAPI - Wayland interface library.

%description wayland -l pl.UTF-8
VAAPI - biblioteka interfejsu Wayland.

%package wayland-devel
Summary:	Header files for VAAPI Wayland interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu Wayland VAAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-wayland = %{version}-%{release}
Requires:	wayland-devel >= 1.0.0

%description wayland-devel
Header files for VAAPI Wayland interface library.

%description wayland-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu Wayland VAAPI.

%package wayland-static
Summary:	VAAPI - Wayland interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu Wayland
Group:		Development/Libraries
Requires:	%{name}-wayland-devel = %{version}-%{release}

%description wayland-static
VAAPI - Wayland interface static library.

%description wayland-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu Wayland.

%package x11
Summary:	VAAPI - X11 interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu X11
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdrm >= 2.4

%description x11
VAAPI - X11 interface library.

%description x11 -l pl.UTF-8
VAAPI - biblioteka interfejsu X11.

%package x11-devel
Summary:	Header files for VAAPI X11 interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu X11 VAAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}
Requires:	libdrm-devel >= 2.4
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel

%description x11-devel
Header files for VAAPI X11 interface library.

%description x11-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu X11 VAAPI.

%package x11-static
Summary:	VAAPI - X11 interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu X11
Group:		Development/Libraries
Requires:	%{name}-x11-devel = %{version}-%{release}

%description x11-static
VAAPI - X11 interface static library.

%description x11-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu X11.

%package tools
Summary:	VAAPI test and example programs
Summary(pl.UTF-8):	Programy testowe i przykładowe do VAAPI
Group:		Applications/Graphics
Requires:	%{name}-drm = %{version}-%{release}
Requires:	%{name}-wayland = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}

%description tools
VAAPI test and example programs.

%description tools -l pl.UTF-8
Programy testowe i przykładowe do VAAPI.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-drivers-path=%{_libdir}/%{name}/dri

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "#LIBVA_DRIVER_NAME=vdpau" > $RPM_BUILD_ROOT/etc/libva.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/{%{name}/dri/*.{a,la},libva*.la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	drm -p /sbin/ldconfig
%postun	drm -p /sbin/ldconfig

%post	egl -p /sbin/ldconfig
%postun	egl -p /sbin/ldconfig

%post	glx -p /sbin/ldconfig
%postun	glx -p /sbin/ldconfig

%post	wayland -p /sbin/ldconfig
%postun	wayland -p /sbin/ldconfig

%post	x11 -p /sbin/ldconfig
%postun	x11 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_libdir}/libva.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva.so.1
%attr(755,root,root) %{_libdir}/libva-tpi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-tpi.so.1
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/dri
%attr(755,root,root) %{_libdir}/%{name}/dri/dummy_drv_video.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libva.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva.so
%attr(755,root,root) %{_libdir}/libva-tpi.so
%dir %{_includedir}/va
%{_includedir}/va/va.h
%{_includedir}/va/va_backend.h
%{_includedir}/va/va_backend_tpi.h
%{_includedir}/va/va_backend_vpp.h
%{_includedir}/va/va_compat.h
%{_includedir}/va/va_dec_hevc.h
%{_includedir}/va/va_dec_jpeg.h
%{_includedir}/va/va_dec_vp8.h
%{_includedir}/va/va_dec_vp9.h
%{_includedir}/va/va_drmcommon.h
%{_includedir}/va/va_enc_hevc.h
%{_includedir}/va/va_enc_h264.h
%{_includedir}/va/va_enc_jpeg.h
%{_includedir}/va/va_enc_mpeg2.h
%{_includedir}/va/va_enc_vp8.h
%{_includedir}/va/va_enc_vp9.h
%{_includedir}/va/va_tpi.h
%{_includedir}/va/va_version.h
%{_includedir}/va/va_vpp.h
%{_pkgconfigdir}/libva.pc
%{_pkgconfigdir}/libva-tpi.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libva.a
%{_libdir}/libva-tpi.a
%endif

%files drm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-drm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-drm.so.1

%files drm-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-drm.so
%{_includedir}/va/va_drm.h
%{_pkgconfigdir}/libva-drm.pc

%if %{with static_libs}
%files drm-static
%defattr(644,root,root,755)
%{_libdir}/libva-drm.a
%endif

%files egl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-egl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-egl.so.1

%files egl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-egl.so
%{_includedir}/va/va_backend_egl.h
%{_includedir}/va/va_egl.h
%{_pkgconfigdir}/libva-egl.pc

%if %{with static_libs}
%files egl-static
%defattr(644,root,root,755)
%{_libdir}/libva-egl.a
%endif

%files glx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-glx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-glx.so.1

%files glx-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-glx.so
%{_includedir}/va/va_backend_glx.h
%{_includedir}/va/va_glx.h
%{_pkgconfigdir}/libva-glx.pc

%if %{with static_libs}
%files glx-static
%defattr(644,root,root,755)
%{_libdir}/libva-glx.a
%endif

%files wayland
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-wayland.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-wayland.so.1

%files wayland-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-wayland.so
%{_includedir}/va/va_backend_wayland.h
%{_includedir}/va/va_wayland.h
%{_pkgconfigdir}/libva-wayland.pc

%if %{with static_libs}
%files wayland-static
%defattr(644,root,root,755)
%{_libdir}/libva-wayland.a
%endif

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-x11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-x11.so.1

%files x11-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-x11.so
%{_includedir}/va/va_dri2.h
%{_includedir}/va/va_dricommon.h
%{_includedir}/va/va_x11.h
%{_pkgconfigdir}/libva-x11.pc

%if %{with static_libs}
%files x11-static
%defattr(644,root,root,755)
%{_libdir}/libva-x11.a
%endif
%changelog
* Sat May 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libva.git;a=log;h=master

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 2450adb
- updated to 1.8.2

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> 85df5c3
- release 3 (by relup.sh)

* Thu May 18 2017 Jan Rękorajski <baggins@pld-linux.org> eb19370
- release 2 (by relup.sh)

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> d7c7e77
- updated to 1.8.1; all binaries have been moved to separate libva-utils package

* Thu Dec 15 2016 Tomasz Pala <gotar@pld-linux.org> bd4b67f
- upgraded to 1.7.3, removed la files

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> e50a43a
- updated to 1.7.2

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 5948f8f
- updated to 1.7.1

* Sun Apr 24 2016 Jakub Bogusz <qboosh@pld-linux.org> d6d1d18
- updated to 1.7.0

* Sun Dec 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f06b81
- up to 1.6.2

* Fri Sep 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 754551f
- up to 1.6.1

* Fri Jul 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 781960b
- up to 1.6.0

* Thu Apr 30 2015 Jan Rękorajski <baggins@pld-linux.org> 08fb901
- release 2 (by relup.sh)

* Sun Mar 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 239e841
- up to 1.5.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 848bf6e
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 07fcce0
- up to 1.5.0

* Sat Oct 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e909749
- up to 1.4.1

* Tue Sep 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d118d7
- up to 1.4.0 (VP8 encoding and H.264 MVC profiles)

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 68473ac
- updated to 1.3.1

* Mon Mar 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f489029
- up to 1.3.0

* Fri Jun 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a6d2898
- up to 1.2.1

